DECLARE
    -- test_5.sql
    v_fileHandle            utl_file.FILE_TYPE;

BEGIN
    -- New File
    v_fileHandle   := xml_spreadsheet.createNewFile('DOC','test_6.xml');
    -- open first worksheet
    xml_spreadsheet.newWorksheet(
             v_fileHandle
            ,'Text and Dates'
            );

    -- Write a data row
    xml_spreadsheet.writeData(v_fileHandle,'Text Default');
    xml_spreadsheet.writeData(v_fileHandle,'Sample text');
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Bold');
    xml_spreadsheet.writeData(v_fileHandle,'Sample text',xml_spreadsheet.c_textBold);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Underlined');
    xml_spreadsheet.writeData(v_fileHandle,'Sample text',xml_spreadsheet.c_textUnderline);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Bold and underlined');
    xml_spreadsheet.writeData(v_fileHandle,'Sample text',xml_spreadsheet.c_textBoldUnderline);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Date');
    xml_spreadsheet.writeData(v_fileHandle,SYSDATE,xml_spreadsheet.c_date);
    -- New data row
    xml_spreadsheet.newDatarow(v_fileHandle);
    xml_spreadsheet.writeData(v_fileHandle,'Datetime');
    xml_spreadsheet.writeData(v_fileHandle,SYSDATE,xml_spreadsheet.c_dateTime);

    -- close worksheet
    xml_spreadsheet.closeWorksheet(
             v_fileHandle
            ,0 -- fix no rows in first worksheet when scrolling
            );

    -- Close file
    xml_spreadsheet.closeFile(v_fileHandle);

END;
/
